<?php
	if ($indexing != 1) exit;

	// Seguridad en función mail()
	function spamcheck($field){
		//filter_var() depura el correo
		//correo usando FILTER_SANITIZE_EMAIL
		$field = filter_var($field, FILTER_SANITIZE_EMAIL);

		//filter_var() valida el correo
		//correo usando FILTER_VALIDATE_EMAIL
		if (filter_var($field, FILTER_VALIDATE_EMAIL)) {
			return TRUE;
		} else {
			return FALSE;
		}
	}

	// Limpiar todo
	function vCode($content){
		return addslashes(htmlentities(trim($content), ENT_QUOTES, 'ISO-8859-1'));
	}

	// Token
	function generar_token($longitud)
	{
		if ($longitud < 4) {
			$longitud = 4;
		}
	
		return bin2hex(openssl_random_pseudo_bytes(($longitud - ($longitud % 2)) / 2));
	}
